none
HDInshight Create not create Jupyter notebook RRS feed

  • Question

  • Hi All,

    I am using HDInsight with type Spark 2.3 (HDI 3.6). But I could nọt create Jupyter note with all version(PySpark, PySpark3, and Spark). I got same log error when I tried to create it. 

     Could you have solution to fix it. 

    Thanks,

    Huy Duong.

    Traceback (most recent call last): File "/usr/bin/anaconda/lib/python2.7/site-packages/notebook/base/handlers.py", line 457, 
    in wrapper result = yield gen.maybe_future(method(self, *args, **kwargs)) File "/usr/bin/anaconda/lib/python2.7/site-packages/tornado/gen.py", line 1015, 
    in run value = future.result() File "/usr/bin/anaconda/lib/python2.7/site-packages/tornado/concurrent.py", line 237,
     in result raise_exc_info(self._exc_info) File "/usr/bin/anaconda/lib/python2.7/site-packages/tornado/gen.py", line 1021, 
     in run yielded = self.gen.throw(*exc_info) File "/usr/bin/anaconda/lib/python2.7/site-packages/notebook/services/contents/handlers.py", line 216,
     in post yield self._new_untitled(path, type=type, ext=ext) File "/usr/bin/anaconda/lib/python2.7/site-packages/tornado/gen.py", line 1015,
     in run value = future.result() File "/usr/bin/anaconda/lib/python2.7/site-packages/tornado/concurrent.py", line 237, 
     in result raise_exc_info(self._exc_info) File "/usr/bin/anaconda/lib/python2.7/site-packages/tornado/gen.py", line 285, 
     in wrapper yielded = next(result) File "/usr/bin/anaconda/lib/python2.7/site-packages/notebook/services/contents/handlers.py", line 171,
     in _new_untitled model = yield gen.maybe_future(self.contents_manager.new_untitled(path=path, type=type, ext=ext)) File "/usr/bin/anaconda/lib/python2.7/site-packages/notebook/services/contents/manager.py", line 338, 
     in new_untitled return self.new(model, path) File "/usr/bin/anaconda/lib/python2.7/site-packages/notebook/services/contents/manager.py", line 364,
     in new model = self.save(model, path) File "/var/lib/.jupyter/jupyterazure/jupyterazure/azurecontentsmanager.py", line 101,
     in save self.create_checkpoint(path) File "/usr/bin/anaconda/lib/python2.7/site-packages/notebook/services/contents/manager.py", line 459,
     in create_checkpoint return self.checkpoints.create_checkpoint(self, path) File "/usr/bin/anaconda/lib/python2.7/site-packages/notebook/services/contents/checkpoints.py", line 79, 
     in create_checkpoint model = contents_mgr.get(path, content=True) File "/var/lib/.jupyter/jupyterazure/jupyterazure/azurecontentsmanager.py", line 84,
     in get got = self.helper.get(path, content, type, format) File "/var/lib/.jupyter/jupyterazure/jupyterazure/azurecontentshelper.py", line 61,
     in get return self.model_factory.create_model_from_blob(blob, type, format) File "/var/lib/.jupyter/jupyterazure/jupyterazure/model.py", line 45, 
     in create_model_from_blob nbformat.version_info[0]) File "/usr/bin/anaconda/lib/python2.7/site-packages/nbformat/__init__.py", line 75, 
     in reads nb = convert(nb, as_version) File "/usr/bin/anaconda/lib/python2.7/site-packages/nbformat/converter.py", line 54, 
     in convert "version doesn't exist" % (to_version)) ValueError: Cannot convert notebook to v5 because that version doesn't exist

    Monday, January 13, 2020 9:51 AM

Answers

  • Hi HuyDuong

    Thank you for reaching out. Could you please try below steps:

    1. Connect to headnode via ssh and change content of file - /usr/bin/anaconda/lib/python2.7/site-packages/nbformat/_version.py, replace 5 to 4.


    2. Restart Jupyter service via Ambari.



    Let us know how it goes. 


    Thank you

    If a post helps to resolve your issue, please click the "Mark as Answer" of that post and/or click Answered"Vote as helpful" button of that post. By marking a post as Answered and/or Helpful, you help others find the answer faster.


    Monday, January 13, 2020 8:19 PM
  • Hi HuyDuong,

    Here are few steps you could try:

    1. Connect to headnode via ssh and change content of file - /usr/bin/anaconda/lib/python2.7/site-packages/nbformat/_version.py, replace 5 to 4.


    2. Restart Jupyter service via Ambari.

    Let us know how it goes..


    Thank you

    If a post helps to resolve your issue, please click the "Mark as Answer" of that post and/or click Answered "Vote as helpful" button of that post. By marking a post as Answered and/or Helpful, you help others find the answer faster.

    Monday, January 13, 2020 8:24 PM

All replies

  • Hi All,

    I am using HDInsight with type Spark 2.3 (HDI 3.6). But I could nọt create Jupyter note with all version(PySpark, PySpark3, and Spark). I got same log error when I tried to create it. 

     Could you have solution to fix it. 

    Thanks,

    Huy Duong.

    Traceback (most recent call last): File "/usr/bin/anaconda/lib/python2.7/site-packages/notebook/base/handlers.py", line 457, 
    in wrapper result = yield gen.maybe_future(method(self, *args, **kwargs)) File "/usr/bin/anaconda/lib/python2.7/site-packages/tornado/gen.py", line 1015, 
    in run value = future.result() File "/usr/bin/anaconda/lib/python2.7/site-packages/tornado/concurrent.py", line 237,
     in result raise_exc_info(self._exc_info) File "/usr/bin/anaconda/lib/python2.7/site-packages/tornado/gen.py", line 1021, 
     in run yielded = self.gen.throw(*exc_info) File "/usr/bin/anaconda/lib/python2.7/site-packages/notebook/services/contents/handlers.py", line 216,
     in post yield self._new_untitled(path, type=type, ext=ext) File "/usr/bin/anaconda/lib/python2.7/site-packages/tornado/gen.py", line 1015,
     in run value = future.result() File "/usr/bin/anaconda/lib/python2.7/site-packages/tornado/concurrent.py", line 237, 
     in result raise_exc_info(self._exc_info) File "/usr/bin/anaconda/lib/python2.7/site-packages/tornado/gen.py", line 285, 
     in wrapper yielded = next(result) File "/usr/bin/anaconda/lib/python2.7/site-packages/notebook/services/contents/handlers.py", line 171,
     in _new_untitled model = yield gen.maybe_future(self.contents_manager.new_untitled(path=path, type=type, ext=ext)) File "/usr/bin/anaconda/lib/python2.7/site-packages/notebook/services/contents/manager.py", line 338, 
     in new_untitled return self.new(model, path) File "/usr/bin/anaconda/lib/python2.7/site-packages/notebook/services/contents/manager.py", line 364,
     in new model = self.save(model, path) File "/var/lib/.jupyter/jupyterazure/jupyterazure/azurecontentsmanager.py", line 101,
     in save self.create_checkpoint(path) File "/usr/bin/anaconda/lib/python2.7/site-packages/notebook/services/contents/manager.py", line 459,
     in create_checkpoint return self.checkpoints.create_checkpoint(self, path) File "/usr/bin/anaconda/lib/python2.7/site-packages/notebook/services/contents/checkpoints.py", line 79, 
     in create_checkpoint model = contents_mgr.get(path, content=True) File "/var/lib/.jupyter/jupyterazure/jupyterazure/azurecontentsmanager.py", line 84,
     in get got = self.helper.get(path, content, type, format) File "/var/lib/.jupyter/jupyterazure/jupyterazure/azurecontentshelper.py", line 61,
     in get return self.model_factory.create_model_from_blob(blob, type, format) File "/var/lib/.jupyter/jupyterazure/jupyterazure/model.py", line 45, 
     in create_model_from_blob nbformat.version_info[0]) File "/usr/bin/anaconda/lib/python2.7/site-packages/nbformat/__init__.py", line 75, 
     in reads nb = convert(nb, as_version) File "/usr/bin/anaconda/lib/python2.7/site-packages/nbformat/converter.py", line 54, 
     in convert "version doesn't exist" % (to_version)) ValueError: Cannot convert notebook to v5 because that version doesn't exist

    Monday, January 13, 2020 9:35 AM
  • I already create new one on HDInsight forum. But I can not delete this thread.

    Could you help delete it ?

    Monday, January 13, 2020 9:53 AM
  • Hi HuyDuong

    Thank you for reaching out. Could you please try below steps:

    1. Connect to headnode via ssh and change content of file - /usr/bin/anaconda/lib/python2.7/site-packages/nbformat/_version.py, replace 5 to 4.


    2. Restart Jupyter service via Ambari.



    Let us know how it goes. 


    Thank you

    If a post helps to resolve your issue, please click the "Mark as Answer" of that post and/or click Answered"Vote as helpful" button of that post. By marking a post as Answered and/or Helpful, you help others find the answer faster.


    Monday, January 13, 2020 8:19 PM
  • Hi HuyDuong,

    Here are few steps you could try:

    1. Connect to headnode via ssh and change content of file - /usr/bin/anaconda/lib/python2.7/site-packages/nbformat/_version.py, replace 5 to 4.


    2. Restart Jupyter service via Ambari.

    Let us know how it goes..


    Thank you

    If a post helps to resolve your issue, please click the "Mark as Answer" of that post and/or click Answered "Vote as helpful" button of that post. By marking a post as Answered and/or Helpful, you help others find the answer faster.

    Monday, January 13, 2020 8:24 PM
  • Hi  KranthiPakala-MSFT

    It worked fine with me 

    Thank you,

    Huy Duong

    Tuesday, January 14, 2020 3:33 AM
  • Hello HuyDuong, Glad to know your issue was resolved. Thanks for confirming it here. :)

    Thank you

    If a post helps to resolve your issue, please click the "Mark as Answer" of that post and/or click Answered"Vote as helpful" button of that post. By marking a post as Answered and/or Helpful, you help others find the answer faster.


    Tuesday, January 14, 2020 8:30 AM
  • when i try to change the file, i got the error below:

    "/usr/bin/anaconda/lib/python2.7/site-packages/nbformat/_version.py" E166: Can't open linked file for writing

    Friday, February 7, 2020 7:52 AM
  • Hi there,

    Could you please try  sudo <editor> /usr/bin/anaconda/lib/python2.7/site-packages/nbformat/_version.py and let us know if you still get the error.


    Thank you

    If a post helps to resolve your issue, please click the "Mark as Answer" of that post and/or click Answered "Vote as helpful" button of that post. By marking a post as Answered and/or Helpful, you help others find the answer faster.

    Thursday, February 13, 2020 5:37 AM